/* eslint-disable */
/**柯礼钦
 * 4/3/2020, 9:51:59 AM
 * doc comment for the file goes here
 */

/** 辖区人口管理 */
import React, { ReactNode, ReactEventHandler, Component } from 'react';
import TableView from '../../common/TableView';
import { Tag } from 'antd';
import { tagList } from './tag'
import './index.scss';

const { CheckableTag } = Tag;

export default class JurisdictionPersonMgt extends Component {
    constructor(props) {
        super(props);
        this.config = {
        };
        this.state = {
            formData: {
                __key: Date.now(),
                filter: JSON.stringify({
                    tabType: null,
                    keywords: ''
                }),
                page: 1,
                size: 10,
            },
            selectedTags: []
        };
    }

    componentWillMount() { }

    componentDidMount() { }

    renderColumns = () => {
        return [
            {
                title: '序号',
                dataIndex: 'index',
                key: 'index',
            },
            {
                title: '操作',
                key: 'operation',
                render: (text, record) => {
                    return (
                        <React.Fragment>

                        </React.Fragment>
                    );
                },
            },
        ];
    }

    setFormData = data => {
        console.log('form', data);
        this.setState({
            formData: data,
        });
        // this.props.history.push(this.props.location.pathname + '?' + Object.entries(data)
        //     .map(([k, v]) => `${k}=${v}`)
        //     .join('&'));
    }

    // 处理标签选择函数
    handletagchange = (key, bool) => {
        
    }

    render() {
        const { formData, selectedTags } = this.state;

        let tableParams = {
            url: `hik-grided-address/api/v1/house/houseinfo/getPage`,
            formData,
            key: formData.__key,
            columns: this.renderColumns(),
            extraFromData: {
            },
            setFormData: this.setFormData
        }

        return (
            <div className="jurisdiction-person-mgt-main">
                <div className="margin-bottom">
                    <span style={{ marginRight: 8 }}>人口标签:</span>
                    {tagList.map(({ name, value }) => (
                        <CheckableTag
                            key={name}
                            checked={selectedTags.indexOf(name) > -1}
                            // checked={selectedTags.indexOf(tag) > -1}
                            onChange={checked => {
                                this.handletagchange(name, checked)
                            }}
                        >
                            {value}
                        </CheckableTag>
                    ))}
                </div>
                <TableView {...tableParams} />
            </div>
        )
    }
}

